Inactive [ADMN/SEC] CFBanner v2.10 - Get rid of Zombe & Rei's Minimap Forever! [1.0.1-R1]

Discussion in 'Inactive/Unsupported Plugins' started by CainFoool, Jul 23, 2011.

  1. Offline

    CainFoool

    [​IMG]
    [​IMG][​IMG]
    What is CFBanner?
    CFBanner is the one way you can stop Zombe Mods from being used on your server. This blocks flying, noclip and general all-around cheats.​
    What are the Permission Nodes?
    cfbanner.zombe.fly​
    cfbanner.zombe.cheat​
    cfbanner.zombe.noclip​
    cfbanner.rei.minimap​
    Features
    Blocks Zombe Client Modification "AND REI'S MINIMAP!"​
    Changelog:
    v2.10 - Fixed Zombe, added Rei Support​
    v2.00 - Completely rewritten, Bukkit Perm Support​
     
  2. Offline

    CainFoool

    I will fix that now.

    Updated to 1.5.3
    Fixed configuration.

    Updated to 1.5.4
    Added /zombe support
    Fixed the version check.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  3. Offline

    OrtwinS

    Does this also disable the Zombe Xray mod (Zombe Cheat)? That is my primary concern since NoCheat takes care of all flying/speeding on my server.

    If it does you might want to put that in your first post, it would be a major 'seller' :p.
    Must. Learn. To. Read.Better.

    Awesome Zombe put that in himself, and even better you made plugin for id :D.
     
  4. Offline

    SirAlex

    It somehow isnt loading for me :(
     
  5. Offline

    lowmotion

    The downloadlink is pointing at the old 1.5.0 Version.
    It throws a little but heavy Exception with which the Mod crashing.
    It says "Error occurred while enabling Zombebanner v1.5.0 " and not 1.5.4
    Please reupload the Plugin.
    I really want to use the plugin!
    Great discription anyway (=
    Good luck
     
  6. Offline

    CainFoool

    (
    Can you tell me what the error is paste from console
     
  7. Offline

    dm_studios

    @CainFoool Just a heads up the Plugin.yml still stats 1.5.0 even though its 1.5.4 :)
     
  8. Offline

    stkeroro

    hey, it points at 1.5.0 version!

    Code:
    2011-08-03 11:29:20 [INFO] [ZombeBanner] ZombeBanner has been enabled.
    2011-08-03 11:29:20 [INFO] [ZombeBanner] Created by CainFoool
    2011-08-03 11:29:20 [SEVERE] Error occurred while enabling Zombebanner v1.5.0 (Is it up to date?): null
    java.lang.NullPointerException
        at me.cain.zombebanner.ZombeBanner.onEnable(ZombeBanner.java:46)
        at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:126)
        at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:878)
        at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:272)
        at org.bukkit.craftbukkit.CraftServer.loadPlugin(CraftServer.java:162)
        at org.bukkit.craftbukkit.CraftServer.enablePlugins(CraftServer.java:146)
        at net.minecraft.server.MinecraftServer.e(MinecraftServer.java:284)
        at net.minecraft.server.MinecraftServer.a(MinecraftServer.java:271)
        at net.minecraft.server.MinecraftServer.init(MinecraftServer.java:148)
        at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:335)
        at net.minecraft.server.ThreadServerApplication.run(SourceFile:422)
     
  9. Offline

    KingHarper

    ye I get that same error stkeroro
     
  10. Offline

    CainFoool

    Alright, fixing now.

    Pushed a silent update. Possible fix for that.

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  11. Offline

    stkeroro

    so, we can download normally?
     
  12. Offline

    CainFoool

    You will need to download from the link on the OP.
     
  13. Offline

    stkeroro

    oh, thanks cain, everything ok now ^^
     
  14. Offline

    lowmotion

    Big Thanks to you man (=
     
  15. Offline

    CainFoool

    No problem :)
     
  16. Offline

    TfT_02

    You should point out in the OP that this enables users to allow only certain players to use the ZombeModpack. If you want to disable the mod you don't need to install this plugin, copied from Zombe's Readme:
    Code:
    Q: How do i allow "fly" mod on my server?
    A: Change the "allow-flight" option in your server.properties file to "true"
    
    Q: How do i disallow "cheat" mod on my server?
    A: Add "no-z-cheat" to servers welcome message.
    Alternatively, you can disable it non-visibly too by adding "&f &f &2 &0 &4 &8" to servers wotd message ("&" marks color codes. If your server uses a wrapper with different codes then use this for reference).
     
  17. Offline

    Brody Romhanyi

    it still lets them run really fast on the ground tho is there a way to fix that?
     
  18. Offline

    CainFoool

    All this does is block Zombe Fly and Zombe Cheat. I have no power over anything else.
     
  19. Offline

    Brody Romhanyi

    ya it is still the zombe fly mod but it allows them to use it on the ground
     
  20. Offline

    CainFoool

    Version 1.6.0
    • Removed Permissions 2.x Support
    • Added BukkitPermissions Support
    • Added Spout Support [Optional, but it looks alot better]
    • Ability to change the messages
    • Improved /zombe
    • Cleaned up source code
     
  21. Offline

    delro92

    [​IMG]
    CB RB #1000, windows 7 ultimate, 64 bits.
    I had no issues with the previous version, but I downloaded the new one (the one you get in the console telling you to go to http://bit.ly/rj5iJl and since then I have this error, I even tried disabling all other plugins and I still get it.)
    Hope you can fix it. Thanks.

    Here is my "server.properties" file:
    Code:
    level-name=Tierra
    allow-nether=true
    view-distance=10
    spawn-monsters=true
    online-mode=true
    spawn-animals=true
    max-players=20
    server-ip=
    pvp=true
    level-seed=
    server-port=25565
    allow-flight=false
    white-list=false
    More info:
    Using Java v6 update 26.
     
  22. Offline

    CainFoool

    Do you have Spout.jar on your server?
    Download it here.
     
    delro92 likes this.
  23. Offline

    NiNjAiKoToBa

    Hi, Im Using ServerCraft And Having Put Both Zombebanner and Spout.jar's in my plugins directory, whatever i do they do not show up. Its as if the server doesnt know they exist?

    CraftBukkit Build: 1000
     
  24. Offline

    CainFoool

    I am not sure how ServerCraft works so I cannot help you on that one.
     
  25. Offline

    delro92

    Silly me, I didn't see that this plug-in has dependencies! hehe, installed spout and it's all working smoothly now except for one little problem... it says:

    [SEVERE] Player: [player name] was not properly updated during login!

    whenever someone logs in, but I guess it's a bug from the sprout guys and not yours :p
    Thanks for the help :)
     
  26. Offline

    MuisYa

    Amazing! I always hated Zombe!
    Also, could you try to add Jail support? That would be very nice :D
     
  27. Offline

    NiNjAiKoToBa

    its a server that runs through a program through MyMcAdmin. Im thinking its a compatibility issue. Ive contacted my provider but so far, people using servercraft (MyMcAdmin) can not use this plugin as it does not seem to register
     
  28. Offline

    CainFoool

    Does the plugin work in-game or does it not work at all?

    Yes, as Spout is still in development that is a feature I cannot remove.

    Sorry, explain?

    EDIT by Moderator: merged posts, please use the edit button instead of double posting.
     
    Last edited by a moderator: May 17, 2016
  29. Offline

    MuisYa

    @CainFoool there is a plugin called Jail.
    Players will be teleported to a Jail, where they cant get out. They need to stay there for a certain time, and will be released when theyre time is over. Check it here
     
  30. Offline

    CainFoool

    Yes I am aware of what Jail does but what am I meant to make it do on this plugin? :/
     
  31. Offline

    NiNjAiKoToBa

    The Plugin Does not work at all, its rather strange. I dont even get an error, its as if it doesn't exist. Its rather peculier though, everything else is fine. But your plugin just doesnt want to even attempt to work

    Im trying my best to find a workaround for it but at the moment, theres the one plugin that i just cant use =/
     

Share This Page